from machine import Pin, SoftI2C
from lib.sh1106 import SH1106_I2C as OLED
import src.data as data

def setup():
    global display, i2c_display

    i2c = SoftI2C(scl=Pin(22), sda=Pin(21))
    display = OLED(128, 64, i2c)

def draw():
    global display
    display.show()

def text(text: str, x: int, y:int):
    display.text(text, x, y)
    display.show()

def slave():
    global display
    display.text(str(data.slave_num), 0, 0)

def arrow():
    global display
    display.line(50, 0, 50, 15, 1)

def tm(band: str, rule_used: str, state_current: str):
    global display
    reset()

    slave()
    arrow()
    display.text(state_current, 100, 0)
    display.text(band, 0, 20)
    display.text(rule_used, 0, 40)

    draw()


def reset():
    global display 
    display.fill_rect(0, 0, 128, 64, 0)
